Bug 1172205 - VUL-0: CVE-2020-0543: xen: XSA-320 v2 - Special Register Buffer Data Sampling (SRBDS) aka "CrossTalk"
VUL-0: CVE-2020-0543: xen: XSA-320 v2 - Special Register Buffer Data Sampling...
Status: RESOLVED FIXED
: 1172770 (view as bug list)
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Charles Arnold
Security Team bot
https://smash.suse.de/issue/260144
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-27 16:59 UTC by Marcus Meissner
Modified: 2021-01-21 18:23 UTC (History)
8 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
xen-xsa-320-v2-patches.zip (39.82 KB, application/octet-stream)
2020-06-15 09:29 UTC, Wolfgang Frisch
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 8 Marcus Meissner 2020-06-09 17:08:13 UTC
is public now.

            Xen Security Advisory CVE-2020-0543 / XSA-320

           Special Register Buffer speculative side channel

ISSUE DESCRIPTION
=================

This issue is related to the MDS and TAA vulnerabilities.  Please see
https://xenbits.xen.org/xsa/advisory-297.html (MDS) and
https://xenbits.xen.org/xsa/advisory-305.html (TAA) for details.

Certain processor operations microarchitecturally need to read data from
outside the physical core (e.g. to communicate with the random number
generator).  In some implementations, this operation is called a Special
Register Read.

In some implementations, data are staged in a single shared buffer, and
a full cache line at a time is returned to the core which made the
Special Register Read.  On parts vulnerable to MFBDS or TAA, an attacker
may be able to access stale data requested by other cores in the system.

For more details, see:
  https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00320.html

IMPACT
======

An attacker, which could include a malicious untrusted user process on a
trusted guest, or an untrusted guest, can sample the contents of
certain off-core accesses by other cores in the system.

This can include data whose use may depend on the secrecy of the value,
such as data from the Random Number Generator (e.g. RDRAND/RDSEED
instructions).

VULNERABLE SYSTEMS
==================

Systems running all versions of Xen are affected.

Only x86 processors are vulnerable.
ARM processors are not believed to be vulnerable.

Only Intel based processors are affected.  Processors from other
manufacturers (e.g. AMD) are not believed to be vulnerable.

Please consult the Intel Security Advisory for details on the affected
processors.

MITIGATION
==========

There is no mitigation available.

RESOLUTION
==========

New microcode is being released on affected parts to work around the
vulnerability.  It may be available via a firmware update (consult your
hardware vendor), or available for OS loading (consult your dom0 OS
vendor).

On Xen 4.13 and later, OS microcode can be loaded at runtime. See
https://xenbits.xen.org/docs/latest/admin-guide/microcode-loading.html#runtime-microcode-loading
for details on the xen-ucode utility.

Loading the microcode, either at boot or at runtime, suffices to
mitigate the issue, as protections are active by default.  The
mitigations do have an impact on latency of individual RDRAND/RDSEED
instructions.

The patches below are for Xen, and offer boot time information, defaults
selection, and opt-out controls.  They are recommended to take, but not
absolutely necessary for protection.

Note that patches for released versions are generally prepared to apply
to the stable branches, and may not apply cleanly to the most recent
release tarball.  Downstreams are encouraged to update to the tip of the
stable branch before applying these patches.
Comment 9 OBSbugzilla Bot 2020-06-09 19:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1172205) was mentioned in
https://build.opensuse.org/request/show/813013 Factory / xen
Comment 10 Wolfgang Frisch 2020-06-10 09:30:38 UTC
*** Bug 1172770 has been marked as a duplicate of this bug. ***
Comment 11 Swamp Workflow Management 2020-06-11 19:15:15 UTC
SUSE-SU-2020:1609-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1157490,1167007,1172205
CVE References: CVE-2020-0543
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    xen-4.12.3_02-3.18.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    xen-4.12.3_02-3.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Wolfgang Frisch 2020-06-15 09:25:05 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

            Xen Security Advisory CVE-2020-0543 / XSA-320
                              version 2

           Special Register Buffer speculative side channel

UPDATES IN VERSION 2
====================

Add a link to Intel's cross reference of affected hardware.

Provide a suggested workaround for Ivy Bridge hardware, which is not
receiving a microcode update.  This includes a 3rd patch for each
release.

ISSUE DESCRIPTION
=================

This issue is related to the MDS and TAA vulnerabilities.  Please see
https://xenbits.xen.org/xsa/advisory-297.html (MDS) and
https://xenbits.xen.org/xsa/advisory-305.html (TAA) for details.

Certain processor operations microarchitecturally need to read data from
outside the physical core (e.g. to communicate with the random number
generator).  In some implementations, this operation is called a Special
Register Read.

In some implementations, data are staged in a single shared buffer, and
a full cache line at a time is returned to the core which made the
Special Register Read.  On parts vulnerable to MFBDS or TAA, an attacker
may be able to access stale data requested by other cores in the system.

For more details, see:
  https://www.intel.com/content/www/us/en/security-center/advisory/intel-sa-00320.html
  https://software.intel.com/security-software-guidance/processors-affected-transient-execution-attack-mitigation-product-cpu-model

IMPACT
======

An attacker, which could include a malicious untrusted user process on a
trusted guest, or an untrusted guest, can sample the contents of
certain off-core accesses by other cores in the system.

This can include data whose use may depend on the secrecy of the value,
such as data from the Random Number Generator (e.g. RDRAND/RDSEED
instructions).

VULNERABLE SYSTEMS
==================

Systems running all versions of Xen are affected.

Only x86 processors are vulnerable.
ARM processors are not believed to be vulnerable.

Only Intel based processors are affected.  Processors from other
manufacturers (e.g. AMD) are not believed to be vulnerable.

Please consult the Intel Security Advisory for details on the affected
processors.

MITIGATION
==========

Disabling RDRAND (and, where applicable, RDSEED) will avoid the
vulnerability.  It may have other adverse consequences, such as guests
generating keys with weak random numbers, or guests hanging during
boot waiting for entropy.

A domain (guest, dom0, or service domain) which is runs with RDRAND
disabled in CPUID, and whose software conforms to normal feature
detection as specified in the Intel/AMD manuals, will not be
vulnerable to snooping by other domains.  But such a domain *can*
still potentially snoop on any domains which are still using RDRAND.

This mitigation is recommended to be applied globally, due to the
practical complexity of auditing all software in a VM to confirm that
there are no vulnerable uses of the RDRAND/RDSEED instructions.

RDRAND and RDSEED can be disabled at the host level by booting Xen
with `cpuid=no-rdrand,no-rdseed`, which will hide the feature from all
domains including guests and dom0.  Xen 4.12 and earlier require the
appropriate patch 3 below for this mechanism to work.

RDRAND and RDSEED can be disabled for guests with the following
setting in the VM configuration file (xl.cfg):
  cpuid=["host:rdrand=0,rdseed=0]"
(NB it would have to be merged into any existing cpuid= setting). Xen
4.9 and earlier require the appropriate patch 3 below for this
mechanism to work.

RESOLUTION
==========

New microcode is being released on some affected parts to work around
the vulnerability.  It may be available via a firmware update (consult
your hardware vendor), or available for OS loading (consult your dom0 OS
vendor).

For Ivy Bridge hardware, which is not receiving a microcode update, see
MITIGATION, above.

On Xen 4.13 and later, OS microcode can be loaded at runtime. See
https://xenbits.xen.org/docs/latest/admin-guide/microcode-loading.html#runtime-microcode-loading
for details on the xen-ucode utility.

Loading the microcode, either at boot or at runtime, suffices to
mitigate the issue, as protections are active by default.  The
mitigations do have an impact on latency of individual RDRAND/RDSEED
instructions.

The patches below are for Xen, and offer boot time information,
defaults selection, opt-out controls, and uniform controls for hiding
the RDRAND/RDSEED instructions.

Note that patches for released versions are generally prepared to apply
to the stable branches, and may not apply cleanly to the most recent
release tarball.  Downstreams are encouraged to update to the tip of the
stable branch before applying these patches.

xsa320/xsa320-?.patch        xen-unstable
xsa320/xsa320-4.13-?.patch   Xen 4.13.x
xsa320/xsa320-4.12-?.patch   Xen 4.12.x
xsa320/xsa320-4.11-?.patch   Xen 4.11.x
xsa320/xsa320-4.10-?.patch   Xen 4.10.x
xsa320/xsa320-4.9-?.patch    Xen 4.9.x

$ sha256sum xsa320*/*
84e4f66492042b08e69b0894ea7feb20c17c89a696cf95f05a8826fba4f26355  xsa320/xsa320-1.patch
5a3a06c72d0281fa1191ba18e39b836d2748400d9bf6a59dd45447850530c88b  xsa320/xsa320-2.patch
fd15c8a5098ce70af85c6cf1f69f1e6b51eabfda0a0bb780b27f47a8ae44e3a2  xsa320/xsa320-3.patch
759259ef88c980363d44e11d9c272f6a4a15918e5e6bcdfe971b1ce7ea160cd9  xsa320/xsa320-4.9-1.patch
ebac2c011841c55c3c1e99d9e8afc53e56e54268d379ec8b904f6bfe6a1a5045  xsa320/xsa320-4.9-2.patch
3aeade2c9bb1fe77f6c076d531378d3971aa44cdb87996bda27565fa6e707bd2  xsa320/xsa320-4.9-3.patch
5c622c74358ab21cbd27484c649f26df0f08e89ec333c346415bc51e35ba26c1  xsa320/xsa320-4.10-1.patch
f112e34a6a4564a043926fc255a15c7e319001bd023a97ae2947228024e1c306  xsa320/xsa320-4.10-2.patch
1ff6f34840ddb23b7f9bad5e2a1a5cf5246a55219ce7f686f2d80b3dc55e2960  xsa320/xsa320-4.10-3.patch
f24b51292be0cb5de80c6eff0b26983629dd48cc39ae5a331e2e38e15a6cf712  xsa320/xsa320-4.11-1.patch
03579810eaf2e9eeb1a82de4b50ff5c4b01e60b30ccf7609c9e3378ef576d81e  xsa320/xsa320-4.11-2.patch
fa4bcb5422a43395bfe57b8e324b80e447b004eb24360b78343577de0f247067  xsa320/xsa320-4.11-3.patch
282537ffe2fd4332c0e061ddc537bea3e135a7bbd9253ec298becb49047323cf  xsa320/xsa320-4.12-1.patch
e4417429297354c233e8f5c261aff4888aae602f8c68897c09b16ea1aa44b1ca  xsa320/xsa320-4.12-2.patch
dd374e6c11c54c4077895132b8cc5771d3193df2febde643fcef94f973ee409e  xsa320/xsa320-4.12-3.patch
611f2ab1a1c67e04767188d9803b6afd7d304e81a5b4f1eb1744d3e8a68ced66  xsa320/xsa320-4.13-1.patch
cd1bc0071e72e2342ff4508ea3d937988694f4c03506b3afb3184f7d81aa1c86  xsa320/xsa320-4.13-2.patch
1fe0437059bac1fcc4be44ec3c9f9b53f4c5568c8f02c3f2aa2e452febe39cd1  xsa320/xsa320-4.13-3.patch
$

NOTE REGARDING LACK OF EMBARGO
==============================

Despite an attempt to organise predisclosure, the discoverers ultimately
did not authorise a predisclosure.
-----BEGIN PGP SIGNATURE-----

iQFABAEBCAAqFiEEI+MiLBRfRHX6gGCng/4UyVfoK9kFAl7iLP8MHHBncEB4ZW4u
b3JnAAoJEIP+FMlX6CvZYSMIAISQRxbfSDYpTKAObAGn7Jhv4rGM4C0gYagFWKxb
eLuhvWZN49uPuyIfsO8WfZxAQJTP2hEDNd4ncFYwS7JbD/F/RCsYFgiasw/aqCUX
9vEkRtrvD7XvIe0DWAjHUrvaFvnjI/vl03D3kxQw15eDPXU8pQMPrfva6W1PrQfv
+b+aQHiawR6MPawCraK3kfCs1dTEnrkH+vL5h+nnEyB34ciTG+Z1g3Rhx7GMh6+7
tb9VLOPZMRvvCRii3pRBolcT0MmZAcakbBxCixMDo7bSEaw3G7Zro2RO9MvvsoFF
r1Pa8IC8kVTWQTi8CYS46E1TvQ7yr86ERejaFQs0fk6vxhI=
=N8eC
-----END PGP SIGNATURE-----
Comment 13 Wolfgang Frisch 2020-06-15 09:29:16 UTC
Created attachment 838786 [details]
xen-xsa-320-v2-patches.zip

Includes a 3rd patch for each release.
Comment 14 Swamp Workflow Management 2020-06-16 13:38:20 UTC
openSUSE-SU-2020:0818-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1157490,1167007,1172205
CVE References: CVE-2020-0543
Sources used:
openSUSE Leap 15.1 (src):    xen-4.12.3_02-lp151.2.18.2
Comment 15 Swamp Workflow Management 2020-06-16 19:13:39 UTC
SUSE-SU-2020:1630-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1157888,1158003,1158004,1158005,1158006,1158007,1161181,1167152,1168140,1168142,1169392,1172205
CVE References: CVE-2019-19577,CVE-2019-19578,CVE-2019-19579,CVE-2019-19580,CVE-2019-19581,CVE-2019-19583,CVE-2020-0543,CVE-2020-11739,CVE-2020-11740,CVE-2020-11741,CVE-2020-11742,CVE-2020-7211
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    xen-4.9.4_06-3.62.1
SUSE OpenStack Cloud 8 (src):    xen-4.9.4_06-3.62.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    xen-4.9.4_06-3.62.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    xen-4.9.4_06-3.62.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    xen-4.9.4_06-3.62.1
SUSE Enterprise Storage 5 (src):    xen-4.9.4_06-3.62.1
HPE Helion Openstack 8 (src):    xen-4.9.4_06-3.62.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2020-06-17 13:13:31 UTC
SUSE-SU-2020:1634-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1167152,1168140,1168142,1168143,1169392,1172205
CVE References: CVE-2020-0543,CVE-2020-11739,CVE-2020-11740,CVE-2020-11741,CVE-2020-11742,CVE-2020-11743
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    xen-4.10.4_10-3.31.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    xen-4.10.4_10-3.31.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    xen-4.10.4_10-3.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2020-06-17 13:16:06 UTC
SUSE-SU-2020:1633-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1027519,1168178,1172205
CVE References: CVE-2020-0543
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    xen-4.12.3_02-3.14.1
SUSE Linux Enterprise Server 12-SP5 (src):    xen-4.12.3_02-3.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2020-06-17 13:17:03 UTC
SUSE-SU-2020:1632-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205
CVE References: CVE-2020-0543
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    xen-4.11.4_02-2.26.1
SUSE Linux Enterprise Server 12-SP4 (src):    xen-4.11.4_02-2.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Marcus Meissner 2020-06-24 11:27:01 UTC
released
Comment 21 Swamp Workflow Management 2020-07-10 19:12:39 UTC
SUSE-SU-2020:1887-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205,1173376,1173377,1173378,1173380
CVE References: CVE-2020-0543,CVE-2020-15563,CVE-2020-15565,CVE-2020-15566,CVE-2020-15567
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    xen-4.12.3_04-3.18.1
SUSE Linux Enterprise Server 12-SP5 (src):    xen-4.12.3_04-3.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2020-07-10 19:15:40 UTC
SUSE-SU-2020:1889-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205,1173376,1173377,1173378,1173380
CVE References: CVE-2020-0543,CVE-2020-15563,CVE-2020-15565,CVE-2020-15566,CVE-2020-15567
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    xen-4.12.3_04-3.22.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    xen-4.12.3_04-3.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2020-07-14 16:21:42 UTC
SUSE-SU-2020:1902-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205,1173376,1173377,1173378,1173380
CVE References: CVE-2020-0543,CVE-2020-15563,CVE-2020-15565,CVE-2020-15566,CVE-2020-15567
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    xen-4.13.1_04-3.4.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    xen-4.13.1_04-3.4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2020-07-15 16:23:37 UTC
openSUSE-SU-2020:0965-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205,1173376,1173377,1173378,1173380
CVE References: CVE-2020-0543,CVE-2020-15563,CVE-2020-15565,CVE-2020-15566,CVE-2020-15567
Sources used:
openSUSE Leap 15.1 (src):    xen-4.12.3_04-lp151.2.21.1
Comment 25 Swamp Workflow Management 2020-07-18 04:15:51 UTC
openSUSE-SU-2020:0985-1: An update that solves 5 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1027519,1172205,1173376,1173377,1173378,1173380
CVE References: CVE-2020-0543,CVE-2020-15563,CVE-2020-15565,CVE-2020-15566,CVE-2020-15567
Sources used:
openSUSE Leap 15.2 (src):    xen-4.13.1_04-lp152.2.3.1
Comment 27 Swamp Workflow Management 2020-10-01 16:14:53 UTC
SUSE-SU-2020:2822-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1172205,1173378,1173380,1175534,1176343,1176344,1176345,1176346,1176347,1176348,1176349,1176350
CVE References: CVE-2020-0543,CVE-2020-14364,CVE-2020-15565,CVE-2020-15567,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25599,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    xen-4.7.6_10-43.67.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    xen-4.7.6_10-43.67.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 29 Swamp Workflow Management 2020-10-22 16:16:30 UTC
SUSE-SU-2020:14521-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1172205,1173378,1173380,1175534,1176343,1176344,1176345,1176346,1176347,1176348,1176350
CVE References: CVE-2020-0543,CVE-2020-14364,CVE-2020-15565,CVE-2020-15567,CVE-2020-25595,CVE-2020-25596,CVE-2020-25597,CVE-2020-25600,CVE-2020-25601,CVE-2020-25603,CVE-2020-25604
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    xen-4.4.4_44-61.55.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    xen-4.4.4_44-61.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.